[arch-commits] Commit in python-parse/repos (3 files)

Evangelos Foutras foutrelis at archlinux.org
Sun Sep 20 08:29:34 UTC 2015


    Date: Sunday, September 20, 2015 @ 10:29:34
  Author: foutrelis
Revision: 141209

archrelease: copy trunk to community-staging-any

Added:
  python-parse/repos/community-staging-any/
  python-parse/repos/community-staging-any/LICENSE
    (from rev 141208, python-parse/trunk/LICENSE)
  python-parse/repos/community-staging-any/PKGBUILD
    (from rev 141208, python-parse/trunk/PKGBUILD)

----------+
 LICENSE  |   19 +++++++++++++++++++
 PKGBUILD |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

Copied: python-parse/repos/community-staging-any/LICENSE (from rev 141208, python-parse/trunk/LICENSE)
===================================================================
--- community-staging-any/LICENSE	                        (rev 0)
+++ community-staging-any/LICENSE	2015-09-20 08:29:34 UTC (rev 141209)
@@ -0,0 +1,19 @@
+Copyright (c) 2012-2013 Richard Jones <richard at python.org>
+
+Permission is hereby granted, free of charge, to any person obtaining a copy
+of this software and associated documentation files (the "Software"), to deal
+in the Software without restriction, including without limitation the rights
+to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+copies of the Software, and to permit persons to whom the Software is
+furnished to do so, subject to the following conditions:
+
+ The above copyright notice and this permission notice shall be included in
+ all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+SOFTWARE.

Copied: python-parse/repos/community-staging-any/PKGBUILD (from rev 141208, python-parse/trunk/PKGBUILD)
===================================================================
--- community-staging-any/PKGBUILD	                        (rev 0)
+++ community-staging-any/PKGBUILD	2015-09-20 08:29:34 UTC (rev 141209)
@@ -0,0 +1,49 @@
+# Maintainer: Johannes Löthberg <johannes at kyriasis.com>
+# Contributor: Aaron DeVore <aaron.devore at gmail.com>
+
+pkgbase=python-parse
+pkgname=(python-parse python2-parse)
+pkgver=1.6.6
+pkgrel=3
+
+pkgdesc='Parse strings using a specification based on the Python format() syntax.'
+url='http://pypi.python.org/pypi/parse'
+arch=('any')
+license=('BSD')
+
+makedepends=('python-setuptools' 'python2-setuptools')
+
+source=("http://pypi.python.org/packages/source/p/parse/parse-$pkgver.tar.gz"{,.asc}
+        LICENSE) # license from the bottom of parse.py
+
+md5sums=('11bc8c60a30fe52db4ac9a827653d0ca' 'SKIP'
+         '68c10fa20482cc4328a1052695fb7e53')
+
+validpgpkeys=('0145FD2B52E80A8E329A16C7AC68AC0441C6E930')
+
+
+check() {
+  cd parse-"$pkgver"
+  python test_parse.py || warning 'test_too_many_fields fails on Python 3.5'
+  python2 test_parse.py
+}
+
+
+package_python-parse() {
+  depends=('python')
+
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE
+
+  cd parse-"$pkgver"
+  python setup.py install --root="$pkgdir" --optimize=1
+}
+
+
+package_python2-parse() {
+  depends=('python2')
+
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/"$pkgname"/LICENSE
+
+  cd parse-"$pkgver"
+  python2 setup.py install --root="$pkgdir" --optimize=1
+}



More information about the arch-commits mailing list